OAEP< H, MGF > Class Template Reference

EME-OAEP, for use with classes derived from TF_ES More...

`#include <oaep.h>`

Inheritance diagram for OAEP< H, MGF >:

## Public Types

typedef OAEP< H, MGF > | EncryptionMessageEncodingMethod

## Public Member Functions

bool | ParameterSupported (const char *name) const
size_t | MaxUnpaddedLength (size_t paddedLength) const
| max size of unpadded message in bytes, given max size of padded message in bits (1 less than size of modulus)
void | Pad (RandomNumberGenerator &rng, const byte *raw, size_t inputLength, byte *padded, size_t paddedLength, const NameValuePairs &parameters) const
DecodingResult | Unpad (const byte *padded, size_t paddedLength, byte *raw, const NameValuePairs &parameters) const

## Static Public Member Functions

static std::string | StaticAlgorithmName ()

## Protected Member Functions

unsigned int | DigestSize () const
HashTransformation * | NewHash () const
MaskGeneratingFunction * | NewMGF () const

## Detailed Description

### template<class H, class MGF = P1363_MGF1>
class OAEP< H, MGF >

EME-OAEP, for use with classes derived from TF_ES

Definition at line 26 of file oaep.h.

The documentation for this class was generated from the following file:

- oaep.h